package xyz.zhouxy.plusone.exception.handler;

import javax.annotation.Nonnull;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import xyz.zhouxy.plusone.commons.exception.handler.AllExceptionHandler;
import xyz.zhouxy.plusone.commons.exception.handler.BaseExceptionHandler.ExceptionInfoHolder;

/**
 * AllExceptionHandlerConfig
 */
@Configuration
@ConditionalOnProperty(prefix = "plusone.exception", name = "handle-all-exception", havingValue = "true")
public class AllExceptionHandlerConfig {

    @Bean
    AllExceptionHandler getAllExceptionHandler(@Nonnull ExceptionInfoHolder exceptionInfoHolder) {
        return new AllExceptionHandler(exceptionInfoHolder);
    }
}
