package xyz.zhouxy.plusone.exception;

import xyz.zhouxy.plusone.commons.exception.BaseException;

public class SysException extends BaseException {
    @java.io.Serial
    private static final long serialVersionUID = 8821240827443168118L;

    public static final int DEFAULT_ERROR_CODE = 5000000;

    public SysException(int code, String msg) {
        super(code, msg);
    }

    public SysException(int code, Throwable cause) {
        super(code, cause);
    }

    public SysException(int code, String msg, Throwable cause) {
        super(code, msg, cause);
    }

    public SysException(String msg) {
        super(DEFAULT_ERROR_CODE, msg);
    }

    public SysException(Throwable cause) {
        super(DEFAULT_ERROR_CODE, cause);
    }

    public SysException(String msg, Throwable cause) {
        super(DEFAULT_ERROR_CODE, msg, cause);
    }
}
