package xyz.zhouxy.plusone.oss;

/**
 * 封装 FastDFS 的 {@link org.csource.common.MyException}
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class FastDFSException extends Exception {
    private static final long serialVersionUID = 7871031982887742468L;

    public FastDFSException() {
    }

    public FastDFSException(String message) {
        super(message);
    }

    public FastDFSException(Throwable cause) {
        super(cause);
    }

    public FastDFSException(String message, Throwable cause) {
        super(message, cause);
    }

    public FastDFSException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
